<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Planeaciones
 *
 * @ORM\Table(name="planeaciones", indexes={@ORM\Index(name="cve_lic", columns={"cve_lic"}), @ORM\Index(name="cve_plantel", columns={"cve_plantel"}), @ORM\Index(name="cve_institucion", columns={"cve_institucion"})})
 * @ORM\Entity
 */
class Planeaciones
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_plan", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idePlan;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_plan", type="string", length=300, nullable=false)
     */
    private $nomPlan;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_plan", type="string", length=50, nullable=true)
     */
    private $cvePlan = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=true)
     */
    private $estatus = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_ini", type="date", nullable=true)
     */
    private $fecIni = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_fin", type="date", nullable=true)
     */
    private $fecFin = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=true)
     */
    private $cveUsu = 'NULL';

    /**
     * @var \Licenciaturas
     *
     * @ORM\ManyToOne(targetEntity="Licenciaturas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_lic", referencedColumnName="ide_lic")
     * })
     */
    private $cveLic;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_plantel", referencedColumnName="ide_pla")
     * })
     */
    private $cvePlantel;

    /**
     * @var \InstitucionesCeepam
     *
     * @ORM\ManyToOne(targetEntity="InstitucionesCeepam")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_institucion", referencedColumnName="ide_ins")
     * })
     */
    private $cveInstitucion;



    /**
     * Get idePlan
     *
     * @return integer
     */
    public function getIdePlan()
    {
        return $this->idePlan;
    }

    /**
     * Set nomPlan
     *
     * @param string $nomPlan
     *
     * @return Planeaciones
     */
    public function setNomPlan($nomPlan)
    {
        $this->nomPlan = $nomPlan;
    
        return $this;
    }

    /**
     * Get nomPlan
     *
     * @return string
     */
    public function getNomPlan()
    {
        return $this->nomPlan;
    }

    /**
     * Set cvePlan
     *
     * @param string $cvePlan
     *
     * @return Planeaciones
     */
    public function setCvePlan($cvePlan)
    {
        $this->cvePlan = $cvePlan;
    
        return $this;
    }

    /**
     * Get cvePlan
     *
     * @return string
     */
    public function getCvePlan()
    {
        return $this->cvePlan;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return Planeaciones
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set fecIni
     *
     * @param \DateTime $fecIni
     *
     * @return Planeaciones
     */
    public function setFecIni($fecIni)
    {
        $this->fecIni = $fecIni;
    
        return $this;
    }

    /**
     * Get fecIni
     *
     * @return \DateTime
     */
    public function getFecIni()
    {
        return $this->fecIni;
    }

    /**
     * Set fecFin
     *
     * @param \DateTime $fecFin
     *
     * @return Planeaciones
     */
    public function setFecFin($fecFin)
    {
        $this->fecFin = $fecFin;
    
        return $this;
    }

    /**
     * Get fecFin
     *
     * @return \DateTime
     */
    public function getFecFin()
    {
        return $this->fecFin;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Planeaciones
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cveLic
     *
     * @param \CmBundle\Entity\Licenciaturas $cveLic
     *
     * @return Planeaciones
     */
    public function setCveLic(\CmBundle\Entity\Licenciaturas $cveLic = null)
    {
        $this->cveLic = $cveLic;
    
        return $this;
    }

    /**
     * Get cveLic
     *
     * @return \CmBundle\Entity\Licenciaturas
     */
    public function getCveLic()
    {
        return $this->cveLic;
    }

    /**
     * Set cvePlantel
     *
     * @param \CmBundle\Entity\Planteles $cvePlantel
     *
     * @return Planeaciones
     */
    public function setCvePlantel(\CmBundle\Entity\Planteles $cvePlantel = null)
    {
        $this->cvePlantel = $cvePlantel;
    
        return $this;
    }

    /**
     * Get cvePlantel
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePlantel()
    {
        return $this->cvePlantel;
    }

    /**
     * Set cveInstitucion
     *
     * @param \CmBundle\Entity\InstitucionesCeepam $cveInstitucion
     *
     * @return Planeaciones
     */
    public function setCveInstitucion(\CmBundle\Entity\InstitucionesCeepam $cveInstitucion = null)
    {
        $this->cveInstitucion = $cveInstitucion;
    
        return $this;
    }

    /**
     * Get cveInstitucion
     *
     * @return \CmBundle\Entity\InstitucionesCeepam
     */
    public function getCveInstitucion()
    {
        return $this->cveInstitucion;
    }
}
